/***************************************************************************
 *   Copyright (C) 2006 by Holger Gerth                                    *
 *   holger.gerth@informatik.tu-chemnitz.de                                *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************/
#ifndef __GETTIMEOFDAY_C
#define __GETTIMEOFDAY_C

// #if defined(_MSC_VER) || defined(_WINDOWS_)
//    #include <time.h>
//    #if !defined(_WINSOCK2API_) && !defined(_WINSOCKAPI_)
//          struct timeval 
//          {
//             long tv_sec;
//             long tv_usec;
//          };
//    #endif 
// #else
//    #include <sys/time.h>
// #endif 
#if defined(MSC_VER) || defined(WINDOWS)
    #include <time.h>

    #define DELTA_EPOCH_IN_USEC 11644473600000000Ui64

    int gettimeofday(struct timeval *tv, struct timezone *tz);
#endif
#endif /* __GETTIMEOFDAY_C */
