/***************************************************************************
 *   Copyright (C) 2006 by Holger Gerth                                    *
 *   holger.gerth@informatik.tu-chemnitz.de                                *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************/
#include "point3d.h"

CPoint3D::CPoint3D()
{
    this->x = 0;
    this->y = 0;
    this->z = 0;
}

CPoint3D::CPoint3D( int x, int y, int z )
{
    this->x = x;
    this->y = y;
    this->z = z;
}


CPoint3D::~CPoint3D()
{
}

/////////////////////////////////////////////////////////////////////////////
// getter and setter
/////////////////////////////////////////////////////////////////////////////

int CPoint3D::getX() const
{
    return x;
}


void CPoint3D::setX(const int& theValue)
{
    x = theValue;
}


int CPoint3D::getY() const
{
    return y;
}


void CPoint3D::setY(const int& theValue)
{
    y = theValue;
}


int CPoint3D::getZ() const
{
    return z;
}


void CPoint3D::setZ(const int& theValue)
{
    z = theValue;
}

