// Polygon.h: Schnittstelle fr die Klasse CPolygon.
//
//////////////////////////////////////////////////////////////////////

#if !defined(POLYGON_H_INCLUDED_)
#define POLYGON_H_INCLUDED_

#include <vector>
#include "vector3d.h"


using namespace std;

class CPolygon  
{
public:

    /////////////////////////// member variables ///////////////////////////////////////


    /////////////////////////// member functions ///////////////////////////////////////

    CPolygon();
    CPolygon(vector<CVertex3D>* vertices);
    virtual ~CPolygon();

    CVector3D getNormalVector();
    unsigned int getNumVertices();
    void setNumVertices( unsigned int theValue );
    void addVertexIndex( int theValue );
    int getVertexIndexAtPos( int pos );
    void setVertexArrayPointer(vector< CVertex3D >* theValue);



private:

    vector<CVertex3D>*          pVertexArray;
    CVector3D                   vNormalVector;
    unsigned int                iNumVertices;
    vector<int>                 iVertexIndex;

    void calcNormalVector();

};

#endif // !defined(POLYGON_H_INCLUDED_)
